

/**
  Нормализация блочной модели
 */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/**
  Убираем внутренние отступы слева тегам списков,
  у которых есть атрибут class
 */
:where(ul, ol):where([class]) {
    padding-left: 0;
}

/**
  Убираем внешние отступы body и двум другим тегам,
  у которых есть атрибут class
 */
body,
:where(blockquote, figure):where([class]) {
    margin: 0;
}

/**
  Убираем внешние отступы вертикали нужным тегам,
  у которых есть атрибут class
 */
:where(
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  p,
  ul,
  ol,
  dl
):where([class]) {
    margin-block: 0;
}

:where(dd[class]) {
    margin-left: 0;
}

/**
  Убираем стандартный маркер маркированному списку,
  у которого есть атрибут class
 */
:where(ul[class]) {
    list-style: none;
}

/**
  Упрощаем работу с изображениями
 */
img {
    display: block;
    max-width: 100%;
}

/**
  Наследуем свойства шрифт для полей ввода
 */
input,
textarea,
select,
button {
    font: inherit;
}

html {
    /**
      Пригодится в большинстве ситуаций
      (когда, например, нужно будет "прижать" футер к низу сайта)
     */
    height: 100%;
    /**
      Плавный скролл
     */
    scroll-behavior: smooth;
}

body {
    /**
      Пригодится в большинстве ситуаций
      (когда, например, нужно будет "прижать" футер к низу сайта)
     */
    min-height: 100%;
    /**
      Унифицированный интерлиньяж
     */
    line-height: 1.5;
}

/**
  Удаляем все анимации и переходы для людей,
  которые предпочитают их не использовать
 */
@media (prefers-reduced-motion: reduce) {
    * {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }
}

body {
    font-size: clamp(14px, 0.83vw, 16px);
    font-weight: 400;
    line-height: 1.75;
    background-color: white;
    font-family: "Arial", sans-serif;

}

.container {
    max-width: calc(1900px + 15 * 2);
    margin: 0 auto;
    padding-inline: 350px;
}



.header-main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: transparent;
    flex-direction: row;
    width: 100%;
}

header:hover {
    transition: background 0.5s ease-in-out;
    border-bottom: 1px solid rgba(255, 255, 255, 0.192);
    border-color: rgba(255, 255, 255, 0.192);
    background: rgba(255, 255, 255, 0.192);
    backdrop-filter: blur(10px);

}




section {
    padding-bottom: 100px;
    padding-top: 100px;
}


.header-menu-list-main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 50px;


}

.header-logo {
    flex-shrink: 0;
}

.header-menu-link-main {
    display: inline-flex;
    min-height: 90px;
    align-items: center;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 1.2px;
}
.header-menu-link-main:hover {
    color: #fc1058;
}

.header-menu-list-main a {
    color: black;
    font-weight: bold;
}

.main-banner {
    min-height: 100vh; /* 585px была */
    background-color: #b8d0da;
    background-image: linear-gradient(180deg, rgba(243, 243, 243, 0.82), rgba(184, 208, 218, 0.3) 33%, hsla(0, 0%, 100%, 0.42) 66%, hsla(0, 0%, 100%, 0.92) 83%, #fff), url('./../img/bannerlines.webp');
    color: black;
}

.main-banner {
    display: flex;
    flex-direction: column;
    gap: 28vh;
}

.banner-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
    width: 100%;
}

.banner-str-button {
    background-color: white;
    padding: 25px 30px;
    display: inline-flex;
    align-items: center;
    border: 1px solid white;
    text-decoration: none;
    text-transform: uppercase;
    border-radius: 10px;
    color: black;
    font-weight: bold;


}

.banner-str-button:hover {
    background-color: red;
    color: white;
    transition-duration: 0.5s;
    border: 1px solid red;
}


/* INFO */
.content-info-body {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
}

.content-info-body::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 45%;/* Установите высоту, которая соответствует размеру вашей фоновой картинки */
    background-color: #b8d0da;
    background-image: linear-gradient(360deg, rgba(169, 167, 167, 0.3), rgba(236, 237, 237, 0.36) 33%, hsla(0, 0%, 100%, 0.8) 66%, hsla(0, 0%, 100%, 0.96) 83%, #fff), url(./../img/footerspetc.webp);
    background-size: cover; /* или contain, в зависимости от того, как вы хотите масштабировать картинку */
    background-position: center center; /* или другие настройки расположения фоновой картинки */
    background-repeat: no-repeat;
    z-index: -1; /* Чтобы фоновая картинка находилась за другими элементами */
}

.content-info-main-block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 100px;
    width: 100%;
    min-width: 290px;
}

.item-list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.vacancy-marker {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;

}

.vacancy-marker::before {
    content: "▪";
    color: rgba(112, 0, 255, 0.2);
    font-size: clamp(25px, 1.56vw, 30px);
    font-weight: bold;
}

.item-list ul {
    margin: 0;
    padding: 0;

}




/* FORM */

.wrapper-form-content {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    min-width: 290px;
}

.form-career {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 400px;
    gap: 32px;
    min-width: 260px;
    width: 100%;
}

.form-career input , textarea {
    border: none;
    border-bottom: 1px solid #dbdbdb;
    outline:none;
    background-color: transparent;
}


textarea {
    resize: none;
}




#career-submit {
    background-color: transparent;
    border: 1px solid #5a5a5a;
    border-radius: 10px;
    padding: 12px 32px;
    color: #0f0f0f;
}

.form-file {
    min-height: 64px;
    position: relative;
}

.form-file-button {
    width: 100%;
    height: 100%;
    background: none;
    border: 1px dashed #9c9c9c;
    border-radius: 8px ;
    overflow-y: initial;
    max-width: none;
    cursor: pointer;


}


.form-file-info {
    background: rgba(202, 201, 201, 0.66);
    color: #5a5a5a;
    padding: 4px 8px;
    border-radius: 8px;
    height: 40px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;


}

.button-corner {
    color: #7000ff;
    font-weight: bold;
}

.form-file-button::after {
    display: block;
    padding-top: 4px;
    content: "PDF, DOC";
    color: #9c9c9c;
}

.form-file input[type="file"] {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    z-index: 1;
}

.check-policy label {
    display: flex;
    flex-direction: row;
    gap: 15px;
}

.form-career input[type="submit"] {
    cursor: pointer;
}
#career-submit:hover {
    background-color: black;
    color: white;
    transition: 0.5s;
}


.block-content-resume {
    width: 50%;
    min-width: 290px;

}

.block-content-text {
    width: 50%;
    min-width: 300px;
}

.wrapper-form-content {

}

.block-form-content {
    background: rgb(244, 244, 244);
    padding: 32px;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.55);
    border: 1px solid #dbdbdb;
    border-radius: 8px;
}



/* FOOTER */

.footer {
    padding: 50px 0;
    background-color: #0c2434;
    background-image: linear-gradient(360deg, rgba(198, 207, 212, 0.91), rgba(184, 208, 218, 0.8) 33%, hsla(0, 0%, 100%, 0.3) 66%, hsla(0, 1%, 74%, 0.91) 83%);
    color: white;
    font-size: clamp(14px, 1.04vw, 20px);

}

.footer-main {
    min-height: 100px;




}



.footer-main-box {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;



}








/* FONT */


.name-block-vacancy {
    font-size: clamp(18px, 1.25vw, 24px);
    font-weight: bold;
    margin-bottom: 32px;
}

.item-list {
    font-size: clamp(15px, 1.04vw, 20px);
    padding-bottom: 40px;
    padding-left: 15px;

}

.vacancy-item-text {
    padding-bottom: 32px;
    font-size: clamp(17px, 1.41vw, 27px);
}

.form-name-block-vacancy {
    font-size: clamp(20px, 1.25vw, 24px);
    font-weight: bold;
    text-align: center;
}



.pop_up {
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    background-color: transparent;
    z-index: 2;
    transform: scale(0); /*-44.5*/
    transition: 0.5s;
}

.pop_up.active {
    transform: translateY(0%) scale(100%);
    background-color: rgba(26, 58, 83, 0.8);
}


.pop_up_container {
    display: flex;
    width: 100%;
    height: 100%;

}

.pop_up_body {
    margin: auto;
    max-width: 1200px;
    background-color: white;
    border-radius: 20px;
    max-height: 600px;
    position: relative;
    overflow: hidden;
    padding: 50px 15px 50px 15px;

}

.pop_up_scrolling {
    overflow: auto; /* Добавьте это свойство */
    max-height: 500px; /* Укажите максимальную высоту, если это необходимо */
}


.pop_up_body p {
    font-size: clamp(10px, 0.8vw, 15px);
    font-family: "Nunito Sans", sans-serif;
    font-weight: 600;
    color: #22262D;
    margin-bottom: 40px;

}



.pop_up_body select:focus {
    outline: none;
}



.pop_up_close {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 21px;
    cursor: pointer;


}

#open_pop_up {
    color: black;
}

.banner-title {
    font-weight: 700;
    font-size: clamp(30px, 3.02vw, 58px);
    line-height: 1.27;



}

.banner-title h3 {
    margin: 0;
    padding: 0;
}

.banner-info {
    font-weight: 700;
    font-size: 23.5px;



}



@media (min-width: 1919px) {
    .main-banner {
        background-size: cover;
    }

    .container {
        padding-inline: 350px;
    }
}


@media (max-width: 1919px) {
    .main-banner {
        background-size: cover;
    }

    .header, .banner, .container{
        padding-inline: 250px;
    }
}

@media (max-width: 1440px) {
    .header, .banner, .container{
        padding-inline: 100px;
    }


}


@media (max-width: 1280px) {
    .header {
        flex-wrap: wrap;
        row-gap: 10px;
        padding-top: 20px;


    }

    .header, .banner, .container{
        padding-inline: 15px;
    }
    .header-menu {
        order: 1;
        flex-basis: 100%;
    }

    .header-menu-link {
        height: 50px;
    }



    .footer-main-box {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .header-menu-list-main {
        gap: 20px;
    }





}

@media (max-width: 1024px) {

    .header-main {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;
        width: 100%;
    }

    .header, .banner, .container{
        padding-inline: 15px;
    }

    .header-menu {
        order: 1;
        flex-basis: 100%;
    }

    .header-menu-link {
        height: 50px;
    }

    .inline-banner{
        display: flex;
        flex-direction: column;
        align-items: flex-start;

    }




    .footer-main-box {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }






@media (max-width: 767px) {
    .wrapper-form-content {
        width: 400px;
    }

    .block-content-resume {
        width: 100%;
        display: flex;
        justify-content: center;
    }
}


}

@media (max-width: 500px) {
    .form-career {
        max-width: 260px;
    }
}


@media (max-width: 930px ){
    .wrapper-form-content {
        width: 600px;
    }

    .block-content-resume {
        width: 100%;
        display: flex;
        justify-content: center;
    }




    .header {
        flex-wrap: wrap;
        row-gap: 10px;
        padding-top: 20px;


    }

    .header, .banner, .container{
        padding-inline: 15px;
    }

    .header-menu {
        order: 1;
        flex-basis: 100%;
    }

    .header-menu-link {
        height: 50px;
    }

    .header-main {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;
        width: 100%;
    }




    .footer-main-box {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }



    .main-banner {
        display: flex;
        flex-direction: column;
        gap: 25vh;
    }

    .content-info-main-block {
        display: flex;
        flex-direction: column;
        gap: 20vh;
    }


    .block-content-resume {
        width: 100%;


    }

    .block-content-text {
        width: 100%;

    }

    .wrapper-form-content {
        padding: 30px;
    }

}